#pragma once

#include <string>
#include <vector>
#include "Math.hpp"

/// Loads a model from an obj file
struct StaticModel
{
	std::string name;
	std::vector<vec3> positions;
	std::vector<vec3> normals;
	std::vector<vec2> texCoords;

	vec4 diffuseColor = vec4(1, 1, 1, 1);
};

std::vector<StaticModel> LoadObjFile(std::string filename);
